"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.updatePatchedDependencies = updatePatchedDependencies;
const path_1 = __importDefault(require("path"));
const normalize_path_1 = __importDefault(require("normalize-path"));
const config_config_writer_1 = require("@pnpm/config.config-writer");
async function updatePatchedDependencies(patchedDependencies, opts) {
    const workspaceDir = opts.workspaceDir ?? opts.rootProjectManifestDir;
    for (const [patchName, patchPath] of Object.entries(patchedDependencies)) {
        if (path_1.default.isAbsolute(patchPath)) {
            patchedDependencies[patchName] = (0, normalize_path_1.default)(path_1.default.relative(workspaceDir, patchPath));
        }
    }
    await (0, config_config_writer_1.writeSettings)({
        ...opts,
        workspaceDir,
        updatedSettings: {
            patchedDependencies: Object.keys(patchedDependencies).length ? patchedDependencies : undefined,
        },
    });
}
//# sourceMappingURL=updatePatchedDependencies.js.map